::-webkit-scrollbar {
    width: 0.7vw;
    height: 0.7vw;
}

/* Track */
::-webkit-scrollbar-track {
    background-color: var(--bg-grey);
    
    
}



/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--bg-grey-light);
}



.navbar-brand {
    font-weight: 600;
}

*
{
    box-sizing: border-box;
}

body 
{
    margin: 0;
    font-family: 'lato', sans-serif;
    overflow-x: hidden;
    min-height: 100vh;
    flex-direction: column;
    

    --text-white: #141414;
    --text-dark: aliceblue;
  
    /* cores de fundo */
    --bg-grey: #141414;
    --bg-grey-light: #313131;
    --bg-white: aliceblue;
    --bg-blue-dark: #5505d6;
    --bg-line-dark: #202020;
    --bg-postline-dark:#312e35;
    --bg-bt-dark: #303030;
 
    line-height: 1.7;
    background-color: var(--bg-grey);
}

#logo {
    width: 2.2rem;
    height: auto;
    display: inline-block;
}

#headerContainer {
    display: flex;
}

#headerTitle
{
    color: var(--text-dark);
    text-decoration: none;
    font-size: 1.2rem;
    padding-right: 1.2rem;
    font-weight: 800;
    font-family: 'lato', sans-serif;
    transition: 0.2s;
}

#headerTitle:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.headerLine {
    height: 3.2rem;
    line-height: 3.2rem;
    display: flex;
    flex: 25;
    align-items: center;
}

.headerLine a {
    color: var(--text-dark);
}


.trilho{
    width: 50px;
    height: 20px;
    background-color: #5505d6;
    border-radius: 150px;
    position:relative;
    margin-right: 20px;
    top:0.9rem;

}

.trilho .indicador{
    width: 20px;
    height: 20px;
    background-color: #090909;
    border-radius: 50%;
    transform: scale(.9);
    position: absolute;
    left: 0;
    
}

.trilho.dark{
    background-color: #5505d6;
}
.trilho.dark .indicador{
    left: 30px;
    background-color: #fff;

}

.dark {
    --text-white: aliceblue;
    --text-dark: #000000;
    --bg-grey: aliceblue;
    --bg-white: #000000;
    --bg-grey-light: #b1b1b1;
    --bg-line-dark: #adacac;
    --bg-postline-dark: #cfcad8;
    --bg-bt-dark: #8a8a8a;
  }

.headerText
{
    color: aliceblue;
    text-decoration: none;
    display: inline-block;
    font-size: 1.1rem;
    font-weight: bold;
    padding-left: 1.2rem;
    padding-right: 1.2rem;
    font-family: 'lato', sans-serif;
    transition: 0.2s;
}

.headerText:hover
{
    color: #5505d6;
    transition: 0.2s;
}

.header-icon
{
    height: 2.5rem;
    width: 2.5rem;
    border: 3px solid #5505d6;
}

.colorLine
{
    flex: 1;
    height: 3.2rem;
    align-items: center;
    justify-content: center;
    display: flex;
}

.colorTop
{
    background-color: #5505d6;
    height: 0.2rem;
}

#section-header
{
    width: 100%;
}

#game-image
{
    width: 100%;
    height: 36rem;
    margin-left: auto;
    margin-right: auto;
    text-align: right;
    display: flex;
    align-items: center;
    justify-content: center;
}

#game-image-element
{
    opacity: 0.3;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    width: 100%;
    height: 36rem;
    margin-left: auto;
    margin-right: auto;
    -webkit-filter: blur(6px); 
    -moz-filter: blur(6px); 
    -o-filter: blur(6px); 
    -ms-filter: blur(6px); 
    filter: blur(6px);
  
}

#game-button-element
{
    position: absolute;
    width: 100%;
    height: 100%;
}

#game-cover
{
    width: 16rem;
    height: 24rem;
}

#game-cover-add
{
    width: 16rem;
    height: 24rem;
    background-color: #202020;
    display: flex;
    align-items: center;
    justify-content: center;
}

.game-cover-bt 
{
    width: 3.5rem;
    height: 3.5rem;
    border: none;
    font-size: 1.8rem;
    background-color: #303030;
    transition: 0.2s;
}

.game-cover-bt:hover
{
    transition: 0.2s;
    background-color: #5505d6;
    color: aliceblue;
}

.game-bg-bt 
{
    width: 3.5rem;
    height: 3.5rem;
    border: none;
    font-size: 1.8rem;
    position: relative;
    text-align: center;
    top: 88%;
    margin-right: 1rem;
    z-index: 15;
    transition: 0.2s;
    background-color: #303030;
}

.game-bg-bt:hover
{
    transition: 0.2s;
    background-color: #5505d6;
    color: aliceblue;
}

.edit
{
    cursor: pointer;
    -webkit-user-select: none;
    width: 2rem;
    height: 2rem;
    z-index: 16;
    transform:translate(5%, 5%)
}

#game-line
{
    display: inline-block;
}

#container-game
{
    position: relative;
    overflow: hidden;
    background-color: black;
}

#game-text
{
    position: absolute;
    left: 22rem;
    top: 6rem;
    overflow: hidden;
}

#cover-container
{
    position: absolute;
    left: 5rem;
    top: 6rem;
    overflow: hidden;
}

#game-title
{
    font-size: 1.5rem;
    color: aliceblue;
    text-decoration: none;
    margin-top: 0.6rem;
    margin-bottom: 0.8rem;
    font-family: 'Rubik';
    font-weight: 700;
    position: relative;
    left: 17px;
}

#gamefile-title
{
    font-size: 1.5rem;
    color: aliceblue;
    text-decoration: none;
    margin-top: 0.6rem;
    margin-bottom: 0.4rem;
    font-family: 'Rubik';
    font-weight: 700;
    position: relative;
    left: 17px;
}

#titulo
{
    border: solid 2px #5505d6;
    border-radius: 0.6rem;
    width: 55.2rem;
    height: 3rem;
    margin-bottom: 0.5rem;
    margin-left: 1rem;
}

#descrição
{
    border: solid 2px #5505d6;
    border-radius: 0.6rem;
    max-width: 65.2rem;
    width: 90%;
    height: 10rem;
    margin-bottom: 0.5rem;
    margin-left: 1rem;
    margin-top: 1.3rem;
}

#descrição textarea
{
    color: var(--text-dark);
}

#dateInput {
    padding: 5px;
    font-size: 14px;
    background-color: #5505d6;
    color: aliceblue;
    
}

#txtBusca 
{
    background-color: transparent;
    color: aliceblue;
    font-size: 1rem;
    border: none;
    height: 2.5rem;
    width: 55.2rem;
}

#txtBusca2
{
    background-color: transparent;
    color: aliceblue;
    font-size: 1rem;
    border: none;
    width: 65rem;
    height: 9.5rem;
    padding: 5px;
    font-size: 14px;
    vertical-align: top;
}

.game-subtitle
{
    font-size: 1.5rem;
    color: aliceblue;
    text-decoration: none;
    margin-top: 0.6rem;
    margin-bottom: 0.8rem;
    font-family: 'Rubik';
    font-weight: 700;
    position: relative;
    left: 17px;
}

#game-button {
    width: 12rem;
    height: 3rem;
    background-color: rgba(85, 5, 214, 0.4);
    padding: 0;
    border: none;
    border-radius: 2px;
    font-size: 1.2rem;
    color: aliceblue;
    text-decoration: none;
    margin-top: 0.6rem;
    margin-bottom: 0.8rem;
    font-family: 'Rubik';
    font-weight: 600;
    transition: 0.2s;
}

#file-display-container {
    display: flex;
    align-items: center;
    gap: 1rem; /* Espaço entre o botão e o campo de exibição */
    padding-left: 1rem;
}

#file-name-display {
    background-color: #000000;
    border: 2px solid #5505d6;
    padding: 0.5rem;
    width: 20rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-family: 'Rubik';
    font-size: 1.1rem;
    border-radius: 4px;
}

.container {
    max-width: 400px;
    margin: 0 auto;
    display: flex;
    border: 1px solid #ccc;
    flex-direction: row;
  }

#game-button:hover
{
    background-color: rgba(85, 5, 214, 0.8);
    transition: 0.2s;
}

.like
{
    width: 4rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    cursor: pointer;
    -webkit-user-select: none;
    background-color: rgba(85, 5, 214, 0.4);
    position: absolute;
    top: 29.2rem;
    left: 22rem;
    border-radius: 2px;
    color: aliceblue;
    text-align: center;
    align-items: center;
    margin-top: 0.6rem;
    margin-bottom: 0.8rem;
    transition: 0.2s;
}

.like:hover
{
    background-color: rgba(85, 5, 214, 0.8);
    transition: 0.2s;
}

#section-line
{
    background-color: var(--bg-bt-dark);
    height: 3.5rem;
    text-align: center;
}

.tab-element
{
    width: 8rem;
    height: 3.5rem;
    color: aliceblue;
    transition: 0.2s;
}

.tab-element:hover
{
    background-color: #5505d6 !important;
    transition: 0.2s;
    border-bottom: 5px solid rgb(85, 5, 214);
    color: aliceblue !important;
}

@layer moreImportant 
{
    .tab-element:hover
    {
        background-color: #5505d600 !important;
        transition: 0.2s;
        border-bottom: 5px solid rgb(85, 5, 214);
        color: aliceblue !important;
    }
}

.w3-theme 
{
    color:#fff !important;
}

#top-line
{
    width: 100%;
    margin-bottom: 3rem;
    height: .15rem;
}

#top-line p
{
    font-size: 1.5rem;
    color: var(--text-dark);
    text-decoration: none;
    margin-top: 0.8rem;
    margin-left: 3.2rem;
    margin-bottom: 0;
    line-height: 3rem;
    font-family: 'Rubik';
    font-weight: 600;
}

#top-line2
{
    width: 100%;
    margin-bottom: 3.5rem;
    height: .15rem;
}

#top-line2 p
{
    font-size: 1.5rem;
    color: aliceblue;
    text-decoration: none;
    margin-top: 0.8rem;
    margin-left: 3.2rem;
    margin-bottom: 0;
    line-height: 3rem;
    font-family: 'Rubik';
    font-weight: 600;
}

#color-line
{
    width: 100%;
    height: .2rem;
    background-color: #312e35;
}

#section-galeria
{
    height: 20rem;
}

#grid-galeria
{
    display: grid;
    grid-auto-flow: column dense;
    width: 100%;
    height: 18rem;
    overflow-x: scroll;
    margin-top: 2.2rem;
    padding-left: 2rem;
}

.gal-element
{
    border: 0 solid #ccc;
    padding: 0.8rem;
    margin-left: 0.2rem;
    margin-top: 0.6rem;
    margin-bottom: 2.2rem;
    width: 35rem;
    text-align: center;
    align-items: center;
}

.gal-picture
{
    width: 30rem;
    height: 16rem;
    object-fit: cover;
    transition: 0.2s;
}

.gal-picture:hover
{
    box-shadow: 0 0 1rem #090909;
    transform: scale(102%);
    transition: 0.2s;
}

.gal-element-add
{
    border: 0 solid #ccc;
    padding: 0.8rem;
    margin-left: 0.2rem;
    margin-top: 0.6rem;
    margin-bottom: 2.2rem;
    width: 35rem;
    text-align: center;
    align-items: center;
}


.gal-picture-wrapper {
    display: flex;
    align-items: flex-start;
    gap: 2rem; /* Espaçamento entre as caixas */
}

.gal-picture-add {
    width: 30rem;
    height: 16rem;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--bg-line-dark);
    transition: 0.2s;
}

.gal-picture-add button {
    width: 3.5rem;
    height: 3.5rem;
    border: none;
    font-size: 1.8rem;
    background-color: var(--bg-bt-dark);
    transition: 0.2s;
    cursor: pointer;
}

.gal-picture-add button:hover {
    background-color: #5505d6;
    color: aliceblue;
}

.image-box {
    width: 30rem;
    height: 16rem;
    background-color: var(--bg-line-dark);
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.2s;
}

.added-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
#section-content
{
    height: auto;
    min-height: 10rem;
    width: 100%;
    margin-left: 1rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    position: relative;
    display: flex;
    flex-direction: column;
}

.title-text
{
    color: var(--text-dark);
    margin-top: 2rem;
    font-size: 1.5rem;
    font-weight: 600;
    font-family: 'Rubik';
    margin-left: 1.2rem;
    margin-top: 2rem;
    
}

.desc-text
{
    color: var(--text-dark);
    margin-bottom: 0.8rem;
    margin-top: 0.5rem;
    font-size: 1rem;
    width: 46rem;
    text-align: justify;
    line-height: 1.6rem;
}

#sectionPost
{
    min-height: 35rem;
    margin-bottom: 4rem;
}

#post-topline
{
    width: 100%;
    margin-top: 0.6rem;
    margin-bottom: 3.5rem;
    height: .2rem;
}

#post-topline p
{
    font-size: 1.1rem;
    color: aliceblue;
    text-decoration: none;
    margin-left: 2.2rem;
    margin-bottom: 0;
    line-height: 3.5rem;
    font-family: 'Rubik';
    font-weight: 500;
}

#post-line
{
    width: 60rem;
    height: .2rem;
    background-color: #312e35;
    margin-left: 1.8rem;
}

.comunPost
{
    height: auto;
    min-height: 11rem;
    width: 58rem;
    margin-left: 1.8rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    position: relative;
    display: flex;
    flex-direction: column;
}

.post-element
{
    color: aliceblue;
    margin-left: 1.2rem;
}

.post-gametitle
{
    color: aliceblue;
    font-size: 1.2rem;
    font-weight: 600;
    font-family: 'Rubik';
    margin-top: 1.6rem;
    margin-bottom: 0.5rem;
    width: 56rem;
}

.post-title
{
    color: aliceblue;
    font-size: 1.5rem;
    font-weight: 600;
    font-family: 'Rubik';
    margin-bottom: 1rem;
    width: 56rem;
}

.post-comuntitle
{
    color: aliceblue;
    font-size: 1.5rem;
    font-weight: 600;
    font-family: 'Rubik';
    margin-top: 1.4rem;
    margin-left: 3.2rem;
    margin-bottom: 0;
}

.post-text
{
    color: aliceblue;
    margin-bottom: 0.8rem;
    margin-top: 0.4rem;
    font-size: 1rem;
    width: 56rem;
    text-align: justify;
    line-height: 1.6rem;
}

.post-userline
{
    display: flex;
    align-items: center;
    justify-content: left;
}

.post-user
{
    color: aliceblue;
    margin-bottom: 0.5rem;
    margin-top: 1rem;
    margin-left: 0.5rem;
    font-size: 1rem;
}

.post-icon
{
    height: 2.5rem;
    width: 2.5rem;
}

.post-rating
{
    margin-left: 1.2rem;
    margin-top: 0.8rem;
}

.checked 
{
    color: #5505d6;
}

#section-bt
{
    width: auto;
    height: 5rem;
    margin-bottom: 1rem;
    margin-left: 3.2rem;
    margin-right: 3.2rem;
    padding-top: 1rem;
    position: relative;
    display: flex;
}

#upload-button
{
    width: 16rem;
    height: 3rem;
    background-color: rgba(85, 5, 214, 1);
    padding: 0;
    border: none;
    border-radius: 2px;
    font-size: 1.4rem;
    color: aliceblue;
    text-decoration: none;
    margin-left: auto;
    margin-top: 0.6rem;
    margin-bottom: 0.8rem;
    font-family: 'Rubik';
    font-weight: 600;
    transition: 0.2s;
}

#upload-button:hover
{
    background-color: rgba(85, 5, 214, 0.8);
    transition: 0.2s;
}

@media screen and (max-width: 75rem) 
{
    #cover-container, #game-button
    {
        left: 1rem;
    }
    #game-text
    {
        left: 14.5rem;
    }
    #txtBusca
    {
        width: 44rem;
    }
    #titulo
    {
        width: 44rem;
    }
}

@media screen and (max-width: 65rem) 
{
    #headerTitle
    {
        display: none;
    }
    #logo
    {
        width: 1.8rem;
    }
    .headerText
    {
        padding-left: 0.4rem;
        padding-right: 0.4rem;
    }
    #section-bt
    {
        margin-right: 1.4rem;
    }
}

@media screen and (max-width: 58rem) 
{
    #txtBusca
    {
        width: 34rem;
    }
    #titulo
    {
        width: 34rem;
    }
}

@media screen and (max-width: 47rem) 
{
    #txtBusca
    {
        width: 22.5rem;
    }
    #titulo
    {
        width: 22.5rem;
    }
    #file-display-container
    {
        display: flex;
        flex-direction: column;
        gap: 0;
        align-items: flex-start;
    }
    #file-name-display
    {
        width: 22.5rem;
    }
    #game-button
    {
        width: 22.5rem;
    }
}

@media screen and (max-width: 35rem) 
{
    #txtBusca
    {
        width: 17rem;
    }
    #titulo
    {
        width: 17rem;
    }
    #file-name-display
    {
        width: 17rem;
    }
    #game-button
    {
        width: 17rem;
    }
}

.date-picker {
    position: relative;
    display: inline-block;
}

.date-picker input {
    padding: 5px;
    width: 150px;
    font-size: 14px;
}

.calendar {
    position: absolute;
    top: 35px;
    left: 0;
    background-color: #5505d6;
    border: 1px solid blue;
    display: none;
    padding: 10px;
}

.calendar table {
    width: 100%;
    border-collapse: collapse;
}

.calendar table th,
.calendar table td {
    padding: 5px;
    text-align: center;
    cursor: pointer;
}

.calendar table th {
    background-color: #5505d6
}

.calendar table td:hover {
    background-color: #5505d6;
}

.calendar .header {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}

.calendar button {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
}


footer
{
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    background: #090909
}

footer p
{
    width: 60rem;
    max-width: 90%;
    text-decoration: none;
    color: aliceblue;
    font-size: 1rem;
    font-family: 'lato', sans-serif;
    font-weight: lighter;
    letter-spacing: 0.05rem;
    line-height: 1.2rem;
    text-align: left;
    position: relative;
    margin-top: 4.4rem;
    left: 0.3rem;
}

footer img
{
    width: 8rem;
    position: absolute;
}

